Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4006 - ftape
Summary: ftape
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: kernel
Version: 6.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Cristian Gafton
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-07-13 00:17 UTC by bswisher
Modified: 2008-08-01 16:22 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)

Description bswisher 1999-07-13 00:17:52 UTC
The long and short of it is:

DO NOT compile ftape/zftape as a module.  The entry in
/proc/devices (27 zft) is never created.

Here are the results of doing it as a module:

Attempt to dump stuff to tape via several devices:

tar -cvf /dev/ftape *
tar: Cannot open /dev/ftape: No such device
tar: Error is not recoverable: exiting now

tar -cvf /dev/rft0 *
tar: Cannot open /dev/rft0: No such device
tar: Error is not recoverable: exiting now

tar -cvf /dev/qft0 *
tar: Cannot open /dev/qft0: No such device
tar: Error is not recoverable: exiting now

tar -cvf /dev/zqft0 *
tar: Cannot open /dev/zqft0: No such device
tar: Error is not recoverable: exiting now


Look at the /dev directory to see that devices do exist:

ls -la ftape
lrwxrwxrwx   1 root     root            4 Mar 29 09:33 ftape
-> rft0
ls -la rft0
crw-rw----   1 root     disk      27,   0 May  5  1998 rft0
ls -la qft0
crw-rw----   1 root     disk      27,   0 Apr 17 11:53 qft0
ls -la zqft0
crw-rw----   1 root     disk      27,  16 Apr 17 11:53 zqft0

Look into /var/log/messages file to see what it has to say:

Jul  8 10:26:17 kernel: ftape v3.04d 25/11/97
Jul  8 10:26:17 kernel: =A9 1993-1996 Bas Laarhoven
(bas@vimec.nl <mailto:bas@vimec.nl> )
Jul  8 10:26:17 kernel: =A9 1995-1996 Kai
Harrekilde-Petersen (khp@dolphinics.no
<mailto:khp@dolphinics.no> )
Jul  8 10:26:17 kernel: =A9 1996-1997 Claus-Justus Heine
(claus@momo.math.rwth-aachen.de
<mailto:claus@momo.math.rwth-aachen.de> )
Jul  8 10:26:17 kernel: QIC-117 driver for
QIC-40/80/3010/3020 floppy tape drives
Jul  8 10:26:17 kernel: Compiled for Linux version 2.2.5-22
with versioned symbols
Jul  8 10:26:17 kernel: [000] ftape-init.c (ftape_init) -
installing QIC-117 floppy tape hardware drive ... .
Jul  8 10:26:17 kernel: [001] ftape-init.c (ftape_init) -
ftape_init @ 0xc4823050.
Jul  8 10:26:17 kernel: [002]   ftape-buffer.c
(add_one_buffer) - buffer nr #1 @ c3177410, dma area @
c0fa8000.
Jul  8 10:26:17 kernel: [003]   ftape-buffer.c
(add_one_buffer) - buffer nr #2 @ c1219630, dma area @
c0fa0000.
Jul  8 10:26:17 kernel: [004]   ftape-buffer.c
(add_one_buffer) - buffer nr #3 @ c10a6490, dma area @
c0f78000.
Jul  8 10:26:17 kernel: [005]   ftape-calibr.c (time_inb) -
inb() duration: 651 nsec.
Jul  8 10:26:17 kernel: [006]  ftape-calibr.c
(ftape_calibrate) - TC for 'ftape_udelay()' =3D 2619 nsec
(at 2559 counts).
Jul  8 10:26:17 kernel: [007]  ftape-calibr.c
(ftape_calibrate) - TC for 'fdc_wait()' =3D 2080 nsec (at
2559 counts).

Unload module via rmmod command:

Jul  8 10:47:26 kernel: [008]   ftape-buffer.c
(del_one_buffer) - releasing buffer nr #3 @ c10a6490, dma
area @ c0f78000.
Jul  8 10:47:26 kernel: [009]   ftape-buffer.c
(del_one_buffer) - releasing buffer nr #2 @ c1219630, dma
area @ c0fa0000.
Jul  8 10:47:26 kernel: [010]   ftape-buffer.c
(del_one_buffer) - releasing buffer nr #1 @ c3177410, dma
area @ c0fa8000.
Jul  8 10:47:26 kernel: ftape: unloaded.


Note You need to log in before you can comment on or make changes to this bug.